Inspector not working correctly on double annotation
Closed, ResolvedPublic1 Story Points

Description

Create a double annotation:

<a href="foo"><span lang="en">Bar</span></a>

Notice that clicking in the middle of the text only shows one inspector:

Esanders created this task.Jun 11 2018, 3:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2018, 3:41 PM
Esanders updated the task description. (Show Details)
Esanders set the point value for this task to 1.

Change 439613 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Follow-up I125969a: Replace $.closest with $.parents + $.addBack

https://gerrit.wikimedia.org/r/439613

Change 439613 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Follow-up I125969a: Replace $.closest with $.parents + $.addBack

https://gerrit.wikimedia.org/r/439613

Change 439624 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8231b4d88)

https://gerrit.wikimedia.org/r/439624

Change 439624 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (8231b4d88)

https://gerrit.wikimedia.org/r/439624

It still shows only one inspector when I put cursor at the very beginning or at the very end. Shouldn't it behave the same way for those positions?


matmarex triaged this task as Unbreak Now! priority.
matmarex added subscribers: Trizek-WMF, matmarex, TerraCodes and 2 others.

Per Dan on T197213, this is unbreak-now. We should probably backport the patch.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 14 2018, 11:00 PM

It still shows only one inspector when I put cursor at the very beginning or at the very end. Shouldn't it behave the same way for those positions?

I think this is the correct behavior. The link context should only display if we're displaying the active link styling (the light blue background and border). You might need to use keyboard arrow keys to navigate "inside" the link in such cases.

This is deployed everywhere already (since the train this morning).

Deskana closed this task as Resolved.Jun 18 2018, 1:12 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 18 2018, 1:12 PM
Vvjjkkii renamed this task from Inspector not working correctly on double annotation to h9aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii lowered the priority of this task from Unbreak Now! to High.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot set the point value for this task to 1.Jul 2 2018, 12:37 PM
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot assigned this task to Esanders.
CommunityTechBot raised the priority of this task from High to Unbreak Now!.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from h9aaaaaaaa to Inspector not working correctly on double annotation.
CommunityTechBot added subscribers: gerritbot, Aklapper.